#!/bin/bash

#Run script for the server distributed as a part of
#Assignment 1
#Computer Networks (CS 456)
#
#Number of parameters: 1
#Parameter:
#    $1: <req_code>
#

#Uncomment exactly one of the following commands depending on implementation

#For C/C++ implementation
#./server $1

#For Java implementation
#java server $1

#For Python implementation
if [ "$#" -ne 1 ];
then
  echo "Program takes 1 parameter, which is a req_code"
  exit 1
fi

python3 server.py $1

#For Ruby implementation
#ruby server.rb $1